#if !defined(PSASTRO_ERROR_CODES_H)
#define PSASTRO_ERROR_CODES_H
/*
 * The line
 *  PSASTRO_ERR_$X{ErrorCode},
 * (without the X)
 *
 * will be replaced by values from errorCodes.dat
 */
typedef enum {
    PSASTRO_ERR_BASE = 600,
    PSASTRO_ERR_${ErrorCode},
    PSASTRO_ERR_NERROR
} psastroErrorCode;

void psastroErrorRegister(void);

#endif
